Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.parameters
Interface Rangeable

All Known Implementing Classes:
  CollectionParameter, EnumParameter, MeasureParameters, MultiSelectionCollectionParameter, ParameterSetContainer, SimpleParameter

    public interface Rangeable

Interface for `Parameter`s that potentially can be varied over a certain interval or a list of values. If `isRangeable()` returns `true` an instance of a `RangeIterator` that is defined equivalently (data type, name, comment, etc.) to the current instance but can have multiple values can be obtained using the method `getRangedInstance()`.

Author:
  Jan Grau
See Also:
  `RangeIterator`

Method Summary
`Parameter` | `getRangedInstance()` Returns an instance of `RangeIterator` that has the same properties as the current instance, but accepts a range or list of values.
`boolean` | `isRangeable()` Returns `true` if the parameters can be varied over a range of values.

Method Detail

### isRangeable

    boolean isRangeable()

  Returns `true` if the parameters can be varied over a range of values.

  Returns:
    `true` if the parameter can be varied, `false` otherwise

### getRangedInstance

    Parameter getRangedInstance()
                                throws Exception

  Returns an instance of `RangeIterator` that has the same properties as the current instance, but accepts a range or list of values. These values can be obtained by the methods of `RangeIterator`.

  Returns:
    an instance with the same properties as the current instance
  Throws:
    `Exception` - is thrown if `isRangeable()` returns `false` or the ranged instance could not be created for some other reason

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD